Package org.eclipse.ui.internal

# Interface IWorkbenchHelpContextIds

public interface IWorkbenchHelpContextIds
Help context ids for the workbench.

This interface contains constants only; it is not intended to be implemented or extended.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ABOUT_ACTION`
`static final String`
`ABOUT_DIALOG`
`static final String`
`ABOUT_FEATURES_DIALOG`
`static final String`
`ABOUT_FEATURES_PLUGINS_DIALOG`
`static final String`
`ABOUT_PLUGINS_DIALOG`
`static final String`
`ACTION_SET_SELECTION_DIALOG`
`static final String`
`ACTIVATE_EDITOR_ACTION`
`static final String`
`CAPABILITY_PREFERENCE_PAGE`
`static final String`
`CELL_COPY_ACTION`
`static final String`
`CELL_CUT_ACTION`
`static final String`
`CELL_DELETE_ACTION`
`static final String`
`CELL_FIND_ACTION`
`static final String`
`CELL_PASTE_ACTION`
`static final String`
`CELL_REDO_ACTION`
`static final String`
`CELL_SELECT_ALL_ACTION`
`static final String`
`CELL_UNDO_ACTION`
`static final String`
`CLEAR_WORKING_SET_ACTION`
`static final String`
`CLOSE_ALL_ACTION`
`static final String`
`CLOSE_ALL_PAGES_ACTION`
`static final String`
`CLOSE_ALL_SAVED_ACTION`
`static final String`
`CLOSE_OTHERS_ACTION`
`static final String`
`CLOSE_PAGE_ACTION`
`static final String`
`CLOSE_PART_ACTION`
`static final String`
`CONTENT_TYPES_PREFERENCE_PAGE`
`static final String`
`CYCLE_EDITOR_BACKWARD_ACTION`
`static final String`
`CYCLE_EDITOR_FORWARD_ACTION`
`static final String`
`CYCLE_PART_BACKWARD_ACTION`
`static final String`
`CYCLE_PART_FORWARD_ACTION`
`static final String`
`CYCLE_PERSPECTIVE_BACKWARD_ACTION`
`static final String`
`CYCLE_PERSPECTIVE_FORWARD_ACTION`
`static final String`
`DECORATORS_PREFERENCE_PAGE`
`static final String`
`DELETE_RETARGET_ACTION`
`static final String`
`DETACHED_WINDOW`
`static final String`
`DOCK_ON_PERSPECTIVE_ACTION`
`static final String`
`DYNAMIC_HELP_ACTION`
`static final String`
`EDIT_ACTION_SETS_ACTION`
`static final String`
`EDIT_WORKING_SET_ACTION`
`static final String`
`EDITOR_SELECTION_DIALOG`
`static final String`
`EXPORT_ACTION`
`static final String`
`EXPORT_WIZARD`
`static final String`
`EXPORT_WIZARD_SELECTION_WIZARD_PAGE`
`static final String`
`FILE_EDITORS_PREFERENCE_PAGE`
`static final String`
`FILE_EXTENSION_DIALOG`
`static final String`
`FONTS_PREFERENCE_PAGE`
`static final String`
`GLOBALIZATION_PREFERENCE_PAGE`
`static final String`
`HELP_CONTENTS_ACTION`
`static final String`
`HELP_SEARCH_ACTION`
`static final String`
`IMPORT_ACTION`
`static final String`
`IMPORT_WIZARD`
`static final String`
`IMPORT_WIZARD_SELECTION_WIZARD_PAGE`
`static final String`
`INTRO_ACTION`
`static final String`
`KEYS_PREFERENCE_PAGE`
`static final String`
`LARGE_FILE_ASSOCIATIONS_PREFERENCE_PAGE`
`static final String`
`LINK_HANDLERS_PREFERENCE_PAGE`
`static final String`
`LIST_SELECTION_DIALOG`
`static final String`
`LOCK_TOOLBAR_ACTION`
`static final String`
`MAXIMIZE_PART_ACTION`
`static final String`
`MINIMIZE_PART_ACTION`
`static final String`
`MISSING`
`static final String`
`NAVIGATION_HISTORY_BACKWARD`
`static final String`
`NAVIGATION_HISTORY_FORWARD`
`static final String`
`NEW_ACTION`
`static final String`
`NEW_WIZARD`
`static final String`
`NEW_WIZARD_SELECTION_WIZARD_PAGE`
`static final String`
`NEW_WIZARD_SHORTCUT`
`static final String`
`OPEN_NEW_WINDOW_ACTION`
`static final String`
`OPEN_PERSPECTIVE_ACTION`
`static final String`
`OPEN_PREFERENCES_ACTION`
`static final String`
`PERSPECTIVES_PREFERENCE_PAGE`
`static final String`
`PREFERENCE_DIALOG`
`static final String`
`PREFIX`
`static final String`
`PROBLEMS_VIEW`
`static final String`
`PROPERTY_DIALOG`
`static final String`
`PROPERTY_DIALOG_ACTION`
`static final String`
`QUIT_ACTION`
`static final String`
`RESET_PERSPECTIVE_ACTION`
`static final String`
`RESPONSIVE_UI`
`static final String`
`SAVE_ACTION`
`static final String`
`SAVE_ALL_ACTION`
`static final String`
`SAVE_AS_ACTION`
`static final String`
`SAVE_PERSPECTIVE_ACTION`
`static final String`
`SAVE_PERSPECTIVE_DIALOG`
`static final String`
`SELECT_PERSPECTIVE_DIALOG`
`static final String`
`SELECT_WORKING_SET_ACTION`
`static final String`
`SHOW_IN_ACTION`
`static final String`
`SHOW_PART_PANE_MENU_ACTION`
`static final String`
`SHOW_TEXT_PERSPECTIVE_ACTION`
`static final String`
`SHOW_VIEW_ACTION`
`static final String`
`SHOW_VIEW_DIALOG`
`static final String`
`SHOW_VIEW_MENU_ACTION`
`static final String`
`SHOW_VIEW_OTHER_ACTION`
`static final String`
`STARTUP_PREFERENCE_PAGE`
`static final String`
`SYSTEM_SUMMARY_DIALOG`
`static final String`
`TOGGLE_COOLBAR_ACTION`
`static final String`
`TOGGLE_EDITORS_VISIBILITY_ACTION`
`static final String`
`TYPE_FILTERING_DIALOG`
`static final String`
`VIEWS_PREFERENCE_PAGE`
`static final String`
`WORKBENCH_EDITOR_PREFERENCE_PAGE`
`static final String`
`WORKBENCH_EDITORS_ACTION`
`static final String`
`WORKBENCH_EDITORS_DIALOG`
`static final String`
`WORKBENCH_PREFERENCE_PAGE`
`static final String`
`WORKBENCH_WINDOW`
`static final String`
`WORKING_SET_EDIT_WIZARD`
`static final String`
`WORKING_SET_NEW_WIZARD`
`static final String`
`WORKING_SET_SELECTION_DIALOG`
`static final String`
`WORKING_SET_TYPE_PAGE`
`static final String`
`WORKSPACES_PREFERENCE_PAGE`
`static final String`
`YES_NO_CANCEL_LIST_SELECTION_DIALOG`

## Field Details

### PREFIX

static final String PREFIX

See Also:
  - Constant Field Values

### MISSING

static final String MISSING

See Also:
  - Constant Field Values

### DOCK_ON_PERSPECTIVE_ACTION

static final String DOCK_ON_PERSPECTIVE_ACTION

See Also:
  - Constant Field Values

### SHOW_TEXT_PERSPECTIVE_ACTION

static final String SHOW_TEXT_PERSPECTIVE_ACTION

See Also:
  - Constant Field Values

### PROPERTY_DIALOG_ACTION

static final String PROPERTY_DIALOG_ACTION

See Also:
  - Constant Field Values

### NEW_ACTION

static final String NEW_ACTION

See Also:
  - Constant Field Values

### IMPORT_ACTION

static final String IMPORT_ACTION

See Also:
  - Constant Field Values

### EXPORT_ACTION

static final String EXPORT_ACTION

See Also:
  - Constant Field Values

### SAVE_PERSPECTIVE_ACTION

static final String SAVE_PERSPECTIVE_ACTION

See Also:
  - Constant Field Values

### SAVE_AS_ACTION

static final String SAVE_AS_ACTION

See Also:
  - Constant Field Values

### SAVE_ALL_ACTION

static final String SAVE_ALL_ACTION

See Also:
  - Constant Field Values

### SAVE_ACTION

static final String SAVE_ACTION

See Also:
  - Constant Field Values

### ABOUT_ACTION

static final String ABOUT_ACTION

See Also:
  - Constant Field Values

### CLOSE_ALL_ACTION

static final String CLOSE_ALL_ACTION

See Also:
  - Constant Field Values

### CLOSE_OTHERS_ACTION

static final String CLOSE_OTHERS_ACTION

See Also:
  - Constant Field Values

### LOCK_TOOLBAR_ACTION

static final String LOCK_TOOLBAR_ACTION

See Also:
  - Constant Field Values

### CLOSE_PAGE_ACTION

static final String CLOSE_PAGE_ACTION

See Also:
  - Constant Field Values

### CLOSE_PART_ACTION

static final String CLOSE_PART_ACTION

See Also:
  - Constant Field Values

### EDIT_ACTION_SETS_ACTION

static final String EDIT_ACTION_SETS_ACTION

See Also:
  - Constant Field Values

### DELETE_RETARGET_ACTION

static final String DELETE_RETARGET_ACTION

See Also:
  - Constant Field Values

### CLOSE_ALL_PAGES_ACTION

static final String CLOSE_ALL_PAGES_ACTION

See Also:
  - Constant Field Values

### OPEN_NEW_WINDOW_ACTION

static final String OPEN_NEW_WINDOW_ACTION

See Also:
  - Constant Field Values

### OPEN_PREFERENCES_ACTION

static final String OPEN_PREFERENCES_ACTION

See Also:
  - Constant Field Values

### QUIT_ACTION

static final String QUIT_ACTION

See Also:
  - Constant Field Values

### RESET_PERSPECTIVE_ACTION

static final String RESET_PERSPECTIVE_ACTION

See Also:
  - Constant Field Values

### TOGGLE_EDITORS_VISIBILITY_ACTION

static final String TOGGLE_EDITORS_VISIBILITY_ACTION

See Also:
  - Constant Field Values

### SHOW_VIEW_ACTION

static final String SHOW_VIEW_ACTION

See Also:
  - Constant Field Values

### SHOW_VIEW_OTHER_ACTION

static final String SHOW_VIEW_OTHER_ACTION

See Also:
  - Constant Field Values

### OPEN_PERSPECTIVE_ACTION

static final String OPEN_PERSPECTIVE_ACTION

See Also:
  - Constant Field Values

### CLOSE_ALL_SAVED_ACTION

static final String CLOSE_ALL_SAVED_ACTION

See Also:
  - Constant Field Values

### SHOW_VIEW_MENU_ACTION

static final String SHOW_VIEW_MENU_ACTION

See Also:
  - Constant Field Values

### WORKBENCH_EDITORS_ACTION

static final String WORKBENCH_EDITORS_ACTION

See Also:
  - Constant Field Values

### CELL_CUT_ACTION

static final String CELL_CUT_ACTION

See Also:
  - Constant Field Values

### CELL_COPY_ACTION

static final String CELL_COPY_ACTION

See Also:
  - Constant Field Values

### CELL_PASTE_ACTION

static final String CELL_PASTE_ACTION

See Also:
  - Constant Field Values

### CELL_DELETE_ACTION

static final String CELL_DELETE_ACTION

See Also:
  - Constant Field Values

### CELL_FIND_ACTION

static final String CELL_FIND_ACTION

See Also:
  - Constant Field Values

### CELL_SELECT_ALL_ACTION

static final String CELL_SELECT_ALL_ACTION

See Also:
  - Constant Field Values

### CELL_UNDO_ACTION

static final String CELL_UNDO_ACTION

See Also:
  - Constant Field Values

### CELL_REDO_ACTION

static final String CELL_REDO_ACTION

See Also:
  - Constant Field Values

### SHOW_PART_PANE_MENU_ACTION

static final String SHOW_PART_PANE_MENU_ACTION

See Also:
  - Constant Field Values

### CYCLE_PART_FORWARD_ACTION

static final String CYCLE_PART_FORWARD_ACTION

See Also:
  - Constant Field Values

### CYCLE_PART_BACKWARD_ACTION

static final String CYCLE_PART_BACKWARD_ACTION

See Also:
  - Constant Field Values

### CYCLE_EDITOR_FORWARD_ACTION

static final String CYCLE_EDITOR_FORWARD_ACTION

See Also:
  - Constant Field Values

### CYCLE_EDITOR_BACKWARD_ACTION

static final String CYCLE_EDITOR_BACKWARD_ACTION

See Also:
  - Constant Field Values

### CYCLE_PERSPECTIVE_FORWARD_ACTION

static final String CYCLE_PERSPECTIVE_FORWARD_ACTION

See Also:
  - Constant Field Values

### CYCLE_PERSPECTIVE_BACKWARD_ACTION

static final String CYCLE_PERSPECTIVE_BACKWARD_ACTION

See Also:
  - Constant Field Values

### ACTIVATE_EDITOR_ACTION

static final String ACTIVATE_EDITOR_ACTION

See Also:
  - Constant Field Values

### MAXIMIZE_PART_ACTION

static final String MAXIMIZE_PART_ACTION

See Also:
  - Constant Field Values

### MINIMIZE_PART_ACTION

static final String MINIMIZE_PART_ACTION

See Also:
  - Constant Field Values

### SELECT_WORKING_SET_ACTION

static final String SELECT_WORKING_SET_ACTION

See Also:
  - Constant Field Values

### CLEAR_WORKING_SET_ACTION

static final String CLEAR_WORKING_SET_ACTION

See Also:
  - Constant Field Values

### EDIT_WORKING_SET_ACTION

static final String EDIT_WORKING_SET_ACTION

See Also:
  - Constant Field Values

### SHOW_IN_ACTION

static final String SHOW_IN_ACTION

See Also:
  - Constant Field Values

### NAVIGATION_HISTORY_FORWARD

static final String NAVIGATION_HISTORY_FORWARD

See Also:
  - Constant Field Values

### NAVIGATION_HISTORY_BACKWARD

static final String NAVIGATION_HISTORY_BACKWARD

See Also:
  - Constant Field Values

### HELP_CONTENTS_ACTION

static final String HELP_CONTENTS_ACTION

See Also:
  - Constant Field Values

### HELP_SEARCH_ACTION

static final String HELP_SEARCH_ACTION

See Also:
  - Constant Field Values

### DYNAMIC_HELP_ACTION

static final String DYNAMIC_HELP_ACTION

See Also:
  - Constant Field Values

### INTRO_ACTION

static final String INTRO_ACTION

See Also:
  - Constant Field Values

### ABOUT_DIALOG

static final String ABOUT_DIALOG

See Also:
  - Constant Field Values

### ABOUT_PLUGINS_DIALOG

static final String ABOUT_PLUGINS_DIALOG

See Also:
  - Constant Field Values

### ABOUT_FEATURES_PLUGINS_DIALOG

static final String ABOUT_FEATURES_PLUGINS_DIALOG

See Also:
  - Constant Field Values

### ABOUT_FEATURES_DIALOG

static final String ABOUT_FEATURES_DIALOG

See Also:
  - Constant Field Values

### SYSTEM_SUMMARY_DIALOG

static final String SYSTEM_SUMMARY_DIALOG

See Also:
  - Constant Field Values

### ACTION_SET_SELECTION_DIALOG

static final String ACTION_SET_SELECTION_DIALOG

See Also:
  - Constant Field Values

### EDITOR_SELECTION_DIALOG

static final String EDITOR_SELECTION_DIALOG

See Also:
  - Constant Field Values

### FILE_EXTENSION_DIALOG

static final String FILE_EXTENSION_DIALOG

See Also:
  - Constant Field Values

### PREFERENCE_DIALOG

static final String PREFERENCE_DIALOG

See Also:
  - Constant Field Values

### PROBLEMS_VIEW

static final String PROBLEMS_VIEW

See Also:
  - Constant Field Values

### PROPERTY_DIALOG

static final String PROPERTY_DIALOG

See Also:
  - Constant Field Values

### SAVE_PERSPECTIVE_DIALOG

static final String SAVE_PERSPECTIVE_DIALOG

See Also:
  - Constant Field Values

### SELECT_PERSPECTIVE_DIALOG

static final String SELECT_PERSPECTIVE_DIALOG

See Also:
  - Constant Field Values

### SHOW_VIEW_DIALOG

static final String SHOW_VIEW_DIALOG

See Also:
  - Constant Field Values

### TYPE_FILTERING_DIALOG

static final String TYPE_FILTERING_DIALOG

See Also:
  - Constant Field Values

### LIST_SELECTION_DIALOG

static final String LIST_SELECTION_DIALOG

See Also:
  - Constant Field Values

### YES_NO_CANCEL_LIST_SELECTION_DIALOG

static final String YES_NO_CANCEL_LIST_SELECTION_DIALOG

See Also:
  - Constant Field Values

### WORKING_SET_SELECTION_DIALOG

static final String WORKING_SET_SELECTION_DIALOG

See Also:
  - Constant Field Values

### WORKBENCH_EDITORS_DIALOG

static final String WORKBENCH_EDITORS_DIALOG

See Also:
  - Constant Field Values

### FILE_EDITORS_PREFERENCE_PAGE

static final String FILE_EDITORS_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### PERSPECTIVES_PREFERENCE_PAGE

static final String PERSPECTIVES_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### VIEWS_PREFERENCE_PAGE

static final String VIEWS_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### FONTS_PREFERENCE_PAGE

static final String FONTS_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### KEYS_PREFERENCE_PAGE

static final String KEYS_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### LINK_HANDLERS_PREFERENCE_PAGE

static final String LINK_HANDLERS_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### WORKBENCH_EDITOR_PREFERENCE_PAGE

static final String WORKBENCH_EDITOR_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### CONTENT_TYPES_PREFERENCE_PAGE

static final String CONTENT_TYPES_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### WORKBENCH_PREFERENCE_PAGE

static final String WORKBENCH_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### GLOBALIZATION_PREFERENCE_PAGE

static final String GLOBALIZATION_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### DECORATORS_PREFERENCE_PAGE

static final String DECORATORS_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### STARTUP_PREFERENCE_PAGE

static final String STARTUP_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### WORKSPACES_PREFERENCE_PAGE

static final String WORKSPACES_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### RESPONSIVE_UI

static final String RESPONSIVE_UI

See Also:
  - Constant Field Values

### LARGE_FILE_ASSOCIATIONS_PREFERENCE_PAGE

static final String LARGE_FILE_ASSOCIATIONS_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### DETACHED_WINDOW

static final String DETACHED_WINDOW

See Also:
  - Constant Field Values

### WORKBENCH_WINDOW

static final String WORKBENCH_WINDOW

See Also:
  - Constant Field Values

### NEW_WIZARD_SELECTION_WIZARD_PAGE

static final String NEW_WIZARD_SELECTION_WIZARD_PAGE

See Also:
  - Constant Field Values

### EXPORT_WIZARD_SELECTION_WIZARD_PAGE

static final String EXPORT_WIZARD_SELECTION_WIZARD_PAGE

See Also:
  - Constant Field Values

### IMPORT_WIZARD_SELECTION_WIZARD_PAGE

static final String IMPORT_WIZARD_SELECTION_WIZARD_PAGE

See Also:
  - Constant Field Values

### WORKING_SET_TYPE_PAGE

static final String WORKING_SET_TYPE_PAGE

See Also:
  - Constant Field Values

### NEW_WIZARD

static final String NEW_WIZARD

See Also:
  - Constant Field Values

### NEW_WIZARD_SHORTCUT

static final String NEW_WIZARD_SHORTCUT

See Also:
  - Constant Field Values

### IMPORT_WIZARD

static final String IMPORT_WIZARD

See Also:
  - Constant Field Values

### EXPORT_WIZARD

static final String EXPORT_WIZARD

See Also:
  - Constant Field Values

### WORKING_SET_NEW_WIZARD

static final String WORKING_SET_NEW_WIZARD

See Also:
  - Constant Field Values

### WORKING_SET_EDIT_WIZARD

static final String WORKING_SET_EDIT_WIZARD

See Also:
  - Constant Field Values

### CAPABILITY_PREFERENCE_PAGE

static final String CAPABILITY_PREFERENCE_PAGE

See Also:
  - Constant Field Values

### TOGGLE_COOLBAR_ACTION

static final String TOGGLE_COOLBAR_ACTION

See Also:
  - Constant Field Values